Schedules

Get a Schedule

Get details of a specific schedule

GET/v2/schedules/{scheduleId}
cURL
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>'
200Response
{
  "scheduleId": "<string>",
  "cron": "<string>",
  "destination": "<string>",
  "createdAt": 123,
  "method": "<string>",
  "header": "<string>",
  "body": "<string>",
  "retries": 123,
  "delay": 123,
  "callback": "<string>",
  "failureCallback": "<string>",
  "callerIp": "<string>",
  "isPaused": true,
  "flowControlKey": "<string>",
  "parallelism": 123,
  "rate": 123,
  "period": 123,
  "retryDelayExpression": "<string>",
  "label": "<string>",
  "labels": [
    "<string>"
  ],
  "lastScheduleTime": 123,
  "nextScheduleTime": 123,
  "lastScheduleStates": "<string>"
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

scheduleIdpathstringrequired

The ID of the schedule to retrieve.

Response

200

scheduleIdstringrequired

Unique identifier for the schedule

cronstringrequired

The cron expression used to schedule the message

destinationstringrequired

The destination URL or URL Group name

createdAtintegerrequired

The creation timestamp of the schedule in unix milliseconds

methodstringrequired

The HTTP method used for the scheduled message

headerobject

Map of header names to arrays of header values

bodystring

The body of the scheduled message

retriesinteger

The number of retries for the scheduled message

delayinteger

The delay in seconds before the scheduled message is sent

callbackstring

The callback URL for the scheduled message

failureCallbackstring

The failure callback URL for the scheduled message

callerIpstring

The IP address of the client that created the schedule

isPausedbooleanrequired

Whether the schedule is paused

flowControlKeystring

The flow control key used for rate limiting

parallelisminteger

The parallelism value used for flow control

rateinteger

The rate value used for flow control

periodinteger

The period value used for flow control

retryDelayExpressionstring

The retry delay expression used for calculating retry delays

labelstringdeprecated

The label assigned to the scheduled message. Deprecated in favor of labels.

labelsstring[]

The list of labels assigned to the scheduled message.

lastScheduleTimeinteger

The last time the schedule was triggered in unix milliseconds

nextScheduleTimeinteger

The next scheduled trigger time in unix milliseconds

lastScheduleStatesobject

The states of the last scheduled messages

404 — Schedule not found

errorstringrequired

Error message

Loading search…